> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thesearchx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search

> Get Search Result by query



## OpenAPI

````yaml GET /{clientId}/datasource/{datasourceId}/search
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.thesearchx.com
security:
  - bearerAuth: []
paths:
  /{clientId}/datasource/{datasourceId}/search:
    get:
      description: Get Search Result by query
      parameters:
        - name: query
          in: query
          description: Search Keyword
          schema:
            type: string
        - name: threshold
          in: query
          description: Threshold score of results
          schema:
            type: number
            format: float
        - name: limit
          in: query
          description: Number of results
          schema:
            type: integer
            format: int32
        - name: clientId
          in: path
          description: You can find Client ID at your Dashboard
          required: true
          schema:
            type: string
        - name: datasourceId
          in: path
          description: You can find Datasource ID at your Dashboard
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Search response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  results:
                    type: array
                    items:
                      $ref: '#/components/schemas/SearchResult'
components:
  schemas:
    SearchResult:
      type: object
      properties:
        _score:
          description: Score of result
          type: number
          format: float
        ttmId:
          description: Tag to specify the type
          type: string
        ...other properties...:
          description: 'Other properties of your data '
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Here, Bearer Token is your **Client API Key** You can find at your
        [Client Page](https://thesearchx.com/app/client)

````